• November 25, 2020, 01:55:50 PM
Welcome, Guest. Please login or register. Registration is free.
Did you miss your activation email?

Author Topic: Cannot adopt AP650 / RFS4010  (Read 8969 times)

0 Members and 1 Guest are viewing this topic.

Offline Simon77

  • Rookie
  • **
  • Posts: 2
Cannot adopt AP650 / RFS4010
« on: April 25, 2014, 07:21:01 AM »
Hi,

I have a really early RFS4010, F/W 4.2.1.0-005R

It has been running fine with AP300's - have added an additional AP650 (there are licenses for it) but the AP will not be adopted.

Guessing this is firmware related - can I just move to the latest 4.x release or does it need to go latest 5.x for the new AP650's to be adopted? The box doesn't say what revision it is on but build date is Jan14 - so suspect it would be v5 firmware on it.

How can i get the v5 software? It seems without a support contract it doesn't allow me to download the firmware - so are Motorola really saying
"Hi buy our kit - but it wont work and there is nothing you can do unless you also buy software upgrades to make it work at additional cost?"



Offline McNulty

  • Sr. Member
  • ****
  • Posts: 217
Re: Cannot adopt AP650 / RFS4010
« Reply #1 on: April 26, 2014, 12:59:29 AM »
Certainly the new AP650 has a version of WiNG 5, but you could downgrade that to match your RFS.

Usually the AP is downgraded/upgraded automatically by the RFS, but there was a specific version of WiNG 5  which separated the two and required a 2-step upgrade to work (maybe since 5.4.0?). Likewise it requires a 2-step downgrade to get your new AP to work with your old RFS. Now the catch: the AP650 can only be upgraded/downgraded by a RFS.

So your best bet is to upgrade your whole system to WiNG 5. Note that for the RFS and the AP300s you will need to do the 2-step upgrade. the details are in the firmware release notes.

If you don't want to pay for software support, maybe another option for you is to look for someone selling AP300s on e-bay or similar.

Offline noobie

  • Full Member
  • ***
  • Posts: 92
Re: Cannot adopt AP650 / RFS4010
« Reply #2 on: April 27, 2014, 12:54:28 PM »
couple of corrections:

if those 650s are -EU SKUs (if you are in Europe), then you will only be able to use them starting from 5.4.0, there is no way to use them with earlier 5.x versions, as well as 4.x versions.

Upgrade from 4.2.1 will require you to first upgrade to 4.3.x or higher and then jump to the latest 5.x version.
For 650s, if you are upgrading to 5.5.x you will have to have 5.2.13 image for AP650 (or 6532, as they are the same) and use 'legacy auto-upgrade' fuction to do a 2-step upgrade for 650s. Downgrade does not require 2step process.

regarding support, I understand you, but tell me which vendor is not doing like this;) they need to pay their developers somehow. Its not a consumer market, where you have to buy new HW each 1-2 years.

Offline Simon77

  • Rookie
  • **
  • Posts: 2
Re: Cannot adopt AP650 / RFS4010
« Reply #3 on: April 27, 2014, 04:59:37 PM »
Thank you so much noobie - I completely understand what you say. (yes EU units)
 
Couple more questions if I may,
1) If I move the controller to 5.4.x for example, the AP650 should work, will the AP350's that are currently installed and working upgrade automatically or is there a process for them (or two step process for them) - could you explain?.

2) If the AP350's need firmware upgrades will these come from the controller software support license (and thus the firmware installed on the unit), or do I need yet another software license from Motorola to get the firmware software for the AP350's to put on the controller for it to upgrade them.


Offline noobie

  • Full Member
  • ***
  • Posts: 92
Re: Cannot adopt AP650 / RFS4010
« Reply #4 on: April 28, 2014, 01:14:36 AM »
For AP300s, you will only need to upgrade your RFS to 4.3.x or later 4.x version before jumping to 5.4.x or 5.5.x.
Firmware for AP300 is included in the controller image, so need to upgrade APs separately.
More to that, after you will upgrade RFS to 4.3.x or 4.4.x, firmware version for AP300 would remain identical all the way up to 5.5.x version.

Offline McNulty

  • Sr. Member
  • ****
  • Posts: 217
Re: Cannot adopt AP650 / RFS4010
« Reply #5 on: April 28, 2014, 02:00:18 AM »
couple of corrections:

if those 650s are -EU SKUs (if you are in Europe), then you will only be able to use them starting from 5.4.0, there is no way to use them with earlier 5.x versions, as well as 4.x versions.



Yes, I forgot this. This is not only with EU APs but also from time to time Motorola will do a hardware revision (e.g. maybe they cannot source the same chip any longer). With these hardware revisions you cannot downgrade. The old firmware simply does not support the new hardware and there is nothing you can do about it.

For AP300s, you will only need to upgrade your RFS to 4.3.x or later 4.x version before jumping to 5.4.x or 5.5.x.
Firmware for AP300 is included in the controller image, so need to upgrade APs separately.
More to that, after you will upgrade RFS to 4.3.x or 4.4.x, firmware version for AP300 would remain identical all the way up to 5.5.x version.



I think noobie means "Firmware for AP300 is included in the controller image, so NO need to upgrade APs separately"


The 2-step upgrade as I mentioned. Simon77 I cannot stress this enough: you must upgrade to the latest firmware V4 before attempting to go to v5. My advice is to read the release notes carefully, all you need to know is in there.

Offline noobie

  • Full Member
  • ***
  • Posts: 92
Re: Cannot adopt AP650 / RFS4010
« Reply #6 on: April 28, 2014, 02:11:12 AM »
Yeah, that was a typo, sorry guys:)

Offline nonliquet

  • Rookie
  • **
  • Posts: 2
Re: Cannot adopt AP650 / RFS4010
« Reply #7 on: July 31, 2014, 10:33:06 AM »
Hi!

I want to adopt US AP 650 (which ran at a RFS4010 with WiNG 4.4) with a new RFS 4010 and WiNG 5.4/5.6.
The three APs are connected with the PoE Ports 1-3 of the RFS directly but they will not appear in the dashboard.

What should be the problem?

Thanks in advance!

Best wishes,
nonliquet


Offline nonliquet

  • Rookie
  • **
  • Posts: 2
Re: Cannot adopt AP650 / RFS4010
« Reply #8 on: August 01, 2014, 08:30:07 AM »
Solution for unidentified APs with WiNG 4.4.0 getting connected with 5.6.0:

1. The Controller needs a downgrade from 5.5.1 to 5.2.13 (edit from 5.2.12 to 5.2.13) without plugged antennas.
    After downgrading reload the RFS and plug in the APs to upgrade them.

2. To run the RFS with 5.6.0 firmware, you need to upgrade to V 5.4.4 like the doing above.

3. Now it is save to upgrade to 5.6.0, repeat the first step with the newer firmware again.

Thanks 4 reading!
« Last Edit: August 01, 2014, 08:35:45 AM by nonliquet »